/*
 * Meviz - Various tools collection to work with multimedia.
 * Copyright (C) 2012 -- 2017-2015, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 */

package eu.svjatoslav.meviz.encoder;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class EncodingOptions {

    private BitrateParameter.Bitrate videoBitrate = BitrateParameter.Bitrate.MEDIUM;

    private BitrateParameter.Bitrate audioBitrate = BitrateParameter.Bitrate.MEDIUM;

    private Integer targetFps;

    private boolean deinterlace = false;

    private boolean recursive;

    private boolean testOnly;

    private boolean forPortablePlayer = false;

    private File workingDirectory = new File(System.getProperty("user.dir"));

    private List<String> outputFormats = new ArrayList<>();

    private List<String> inputPatterns = new ArrayList<>();

    public BitrateParameter.Bitrate getAudioBitrate() {
        return audioBitrate;
    }

    public void setAudioBitrate(final BitrateParameter.Bitrate audioBitrate) {
        this.audioBitrate = audioBitrate;
    }

    public List<String> getInputPatterns() {
        return inputPatterns;
    }

    public void setInputPatterns(final List<String> inputPatterns) {
        this.inputPatterns = inputPatterns;
    }

    public List<String> getOutputFormats() {
        return outputFormats;
    }

    public void setOutputFormats(final List<String> outputFormats) {
        this.outputFormats = outputFormats;
    }

    public Integer getTargetFps() {
        return targetFps;
    }

    public void setTargetFps(final Integer targetFps) {
        this.targetFps = targetFps;
    }

    public BitrateParameter.Bitrate getVideoBitrate() {
        return videoBitrate;
    }

    public void setVideoBitrate(final BitrateParameter.Bitrate videoBitrate) {
        this.videoBitrate = videoBitrate;
    }

    public File getWorkingDirectory() {
        return workingDirectory;
    }

    public void setWorkingDirectory(final File workingDirectory) {
        this.workingDirectory = workingDirectory;
    }

    public boolean isDeinterlace() {
        return deinterlace;
    }

    public void setDeinterlace(final boolean deinterlace) {
        this.deinterlace = deinterlace;
    }

    public boolean isForPortablePlayer() {
        return forPortablePlayer;
    }

    public void setForPortablePlayer(final boolean forPortablePlayer) {
        this.forPortablePlayer = forPortablePlayer;
    }

    public boolean isRecursive() {
        return recursive;
    }

    public void setRecursive(final boolean recursive) {
        this.recursive = recursive;
    }

    public boolean isTestOnly() {
        return testOnly;
    }

    public void setTestOnly(final boolean testOnly) {
        this.testOnly = testOnly;
    }

}
