/*
 * Meviz - Various tools collection to work with multimedia.
 * Copyright (C) 2012 -- 2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 */

package eu.svjatoslav.meviz.encoder;

import java.util.ArrayList;

public class EncodingPlan {

    private final ArrayList<EncodingTask> encodingTasks = new ArrayList<>();

    public void execute(final EncodingOptions encodingOptions) {

        for (final EncodingTask task : encodingTasks)
            task.execute(encodingOptions);

    }

    public void scheduleTask(final EncodingTask encodingTask) {
        encodingTasks.add(encodingTask);
    }

}
