/*
 * Meviz - Various tools collection to work with multimedia.
 * Copyright (C) 2012 -- 2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 */

package eu.svjatoslav.meviz.encoder.converters;

import eu.svjatoslav.meviz.encoder.EncodingOptions;

import java.io.File;
import java.util.List;

public class Ffmpeg2theora extends AbstractConverter {

    @Override
    public String getCommand(final File inputFile, final File targetFile,
                             final EncodingOptions options, String targetFormat) {
        return "ffmpeg2theora \"" + inputFile.getAbsolutePath() + "\" -o \""
                + targetFile.getAbsolutePath()
                + "\" --optimize --videobitrate 3000 --width 800";
    }

    @Override
    public List<String> getSourceFileExtensions() {
        return toList("avi", "mp4", "m4v", "asf");
    }

    @Override
    public List<String> getTargetFileExtensions() {
        return toList("ogv");
    }

    @Override
    public boolean isTerminalMandatory() {
        return true;
    }

}
