/*
 * Meviz - Various tools collection to work with multimedia.
 * Copyright (C) 2012 -- 2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 */

package eu.svjatoslav.meviz.encoder.converters;

import eu.svjatoslav.meviz.encoder.EncodingOptions;

import java.io.File;
import java.util.List;

public class Ogg2Wav extends AbstractConverter {

    @Override
    public String getCommand(final File inputFile, final File targetFile,
                             final EncodingOptions options, String targetFormat) {

        return "oggdec \"" + inputFile.getAbsolutePath() + "\" -o \""
                + targetFile.getAbsolutePath() + "\"";

    }

    @Override
    public List<String> getSourceFileExtensions() {
        return toList("ogg");
    }

    @Override
    public List<String> getTargetFileExtensions() {
        return toList("wav");
    }

    @Override
    public boolean isTerminalMandatory() {
        return true;
    }

}
