/*
 * Meviz - Various tools collection to work with multimedia.
 * Copyright (C) 2012 -- 2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 */

package eu.svjatoslav.meviz.htmlindexer;

public class Constants {

    public static final String DEFAULT_GALLERY_TITLE = "Gallery";

    public static final String METADATA_FILE_NAME = "metadata_6.dat";

    public static final String THUMBNAILS_DIRECTORY_NAME = ".thumbnails";

    /**
     * If this string is found within index.html then it is assumed that the
     * file is generated by current utility and therefore is safe to overwrite
     * with the newer version.
     * <p>
     * TODO: possibility of multiple patterns shall be present, to allow easy
     * migration
     * <p>
     * TODO: a safer way shall be used for detection, like specific pattern also
     * in specific place within a file
     */
    public static final String HTML_MAGIC_STRING = "DirListGen";

    public static final String HTML_MEMO = "Directory Listing Generator by Svjatoslav Agejenko. E-mail: svjatoslav@svjatoslav.eu, homepage: http://svjatoslav.eu";

    public static final String[] SUPPORTED_IMAGE_EXTENSIONS = {"jpg", "jpeg",
            "png", "gif"};

    public static final String THUMBNAIL_VERSION = "2";

}
