package eu.svjatoslav.meviz.htmlindexer;

import java.util.ArrayList;
import java.util.List;

public class IndexingContext {

    private final String localUrl;
    private final String globalUrl;

    public IndexingContext(final String globalUrl, final String localUrl) {
        this.globalUrl = globalUrl;
        this.localUrl = localUrl;
    }

    public String getGlobalUrl() {
        return globalUrl;
    }

    public List<String> getLocalPathComponents() {

        final List<String> result = new ArrayList<>();

        final String[] strings = localUrl.split("/");

        for (final String pathElement : strings)
            if (pathElement.length() > 0)
                result.add(pathElement);

        return result;
    }

    public String getLocalUrl() {
        return localUrl;
    }

}
