package eu.svjatoslav.meviz.htmlindexer;

import eu.svjatoslav.meviz.Module;

import java.util.ArrayList;

public class Main implements Module {

    private final CommandlineHandler commandlineHandler = new CommandlineHandler();

    /**
     * {@inheritDoc}
     */
    @Override
    public String getDescription() {
        return "Generate HTML listing of directories.";
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String getModuleCommand() {
        return "index";
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void run(final String[] args) throws Exception {

        if (commandlineHandler.parseCommandlineArguments(args))
            if (commandlineHandler.removeIndex.isSpecified())
                new FilesystemIndexRemover(commandlineHandler);
            else
                new FilesystemIndexer(commandlineHandler.getWorkingDirectory(),
                        commandlineHandler, new ArrayList<>());

    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void showCommandlineHelp() {
        commandlineHandler.parser.showHelp();
    }

}
