/*
 * Svjatoslav Commons - shared library of common functionality.
 * Copyright ©2012-2014, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.meviz.htmlindexer;

public class UrlParamEncoder {

    public static String decode(final String source) {

        final String result = source.replaceAll("%20", " ");

        return result;
    }

    public static String encode(final String source) {

        final StringBuffer buffer = new StringBuffer();
        for (int i = 0; i < source.length(); i++) {
            boolean replaced = false;
            final char character = source.charAt(i);

            if (character == ' ') {
                buffer.append("%20");
                replaced = true;
            }

            if (character == '?') {
                buffer.append("%3F");
                replaced = true;
            }

            if (character == ',') {
                buffer.append("%2C");
                replaced = true;
            }

            if (character == ':') {
                buffer.append("%3A");
                replaced = true;
            }

            if (!replaced)
                buffer.append(character);
        }

        return buffer.toString();
    }

}
